import Pagination from "./component/pagination";

function Table(props){ 
    return(
      <>
         <table className="table">
            <thead>
              <tr>
                {
                  props.column?
                  props?.column.map((row,rowKey) =>{ 
                      return ( 
                        <th scope="col" key={rowKey}>{row.name}</th> 
                      ) 
                  })
                  :
                  null
                } 
              </tr>
            </thead>
            <tbody>
               {
                props.data?
               props.data?.map((item,key) => { 
                return (  
                    <tr key={`main-${key}`}>
                      {
                        props?.column.map((col,colKey)=>{ 
                          if(col.type && col.type === 'action'){
                           return <td key={`main-${colKey}`}> {col.renderCell(col.buttons,item)}</td>
                          }else{
                            if(col.renderCell){
                              return <td key={`main-${colKey}`} >{col.renderCell(item[col.id])}</td> 
                            }else{
                              return <td key={`main-${colKey}`}>{item[col.id]}</td> 
                            }
                          }
                           
                        }) 
                      }
                    </tr>   
                ) 
              })
              :
              null
            }
             
            </tbody>
          </table>
          {<Pagination
            className="pagination-bar"
            currentPage={props?.currentPage? props?.currentPage:1}
            totalCount={props?.totalResults && props?.totalResults ? props.totalResults : 0}
            pageSize={props?.pageSize? props?.pageSize:10}
            onPageChange={page => props.pageHandler(page)}
          />}
      </>
    );
  }
  export default Table